### A free/open-source library for quantitative finance

Public Member Functions
MakeMCHestonHullWhiteEngine< RNG, S > Class Template Reference

Monte Carlo Heston/Hull-White engine factory. More...

`#include <ql/pricingengines/vanilla/mchestonhullwhiteengine.hpp>`

List of all members.

## Public Member Functions

| MakeMCHestonHullWhiteEngine (const boost::shared_ptr< HybridHestonHullWhiteProcess > &)
MakeMCHestonHullWhiteEngine & | withSteps (Size steps)
MakeMCHestonHullWhiteEngine & | withStepsPerYear (Size steps)
MakeMCHestonHullWhiteEngine & | withAntitheticVariate (bool b=true)
MakeMCHestonHullWhiteEngine & | withControlVariate (bool b=true)
MakeMCHestonHullWhiteEngine & | withSamples (Size samples)
MakeMCHestonHullWhiteEngine & | withAbsoluteTolerance (Real tolerance)
MakeMCHestonHullWhiteEngine & | withMaxSamples (Size samples)
MakeMCHestonHullWhiteEngine & | withSeed (BigNatural seed)
| operator boost::shared_ptr< PricingEngine > () const

## Detailed Description

### template<class RNG = PseudoRandom, class S = Statistics>
class QuantLib::MakeMCHestonHullWhiteEngine< RNG, S >

Monte Carlo Heston/Hull-White engine factory.